Debian Bug report logs - #528864
please add info-dir-section to your info files

version graph

Package: acct; Maintainer for acct is Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>; Source for acct is src:acct.

Reported by: Norbert Preining <preining@logic.at>

Date: Sat, 16 May 2009 10:06:04 UTC

Severity: normal

Found in version acct/6.4~pre1-6

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, texinfo@packages.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#528864; Package acct. (Sat, 16 May 2009 10:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
New Bug report received and forwarded. Copy sent to texinfo@packages.debian.org, Daniel Baumann <daniel@debian.org>. (Sat, 16 May 2009 10:06:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: submit@bugs.debian.org
Subject: please add info-dir-section to your info files
Date: Sat, 16 May 2009 11:58:59 +0200
Package: acct
Version: 6.4~pre1-6
Severity: normal
Usertags: texinfo-transition

Dear maintainer,

we are currently replacing the dpkg install-info with GNU install-info
and at the same time reworking the installation method for info files
with triggers (see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
for details).

As a package maintainer your only job is to drop info files below
/usr/share/info and the package install-info will care for the rest
by recreating the dir file from all installed info files.

There is one problem in the info files of your packages
	acct
because the files:
	usr/share/info/accounting.info.gz
do not ship info dir sections. Thus, calling install-info (the GNU version)
on these files issue a warning:
	install-info: warning: no info dir entry in `/usr/share/info/...'
and the file is not included in the dir file.

The source of this problem is the following missing entry in the
texinfo source:
	@dircategory Package short info
	@direntry
	* menu item 1: (infofile).		Description.
	* menu item 2: (infofile2).		Description.
	@end direntry
In the experimental package we still let the above warnings go through,
but with an upload to unstable they will be probably supressed.

Can you please add an info dir entry to the texinfo files of your package
to fix these warnings.

If you have any questions please see the texinfo manual available in info 
format in texinfo-doc-nonfree, chapter 21 Creating and Installing Info Files,
and do not hesitate to contact us at
	debian-tex-maint@lists.debian.org

Thanks a lot and all the best

Norbert Preining
texinfo maintainer





Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Fri, 26 Jun 2009 13:33:02 GMT) Full text and rfc822 format available.

Notification sent to Norbert Preining <preining@logic.at>:
Bug acknowledged by developer. (Fri, 26 Jun 2009 13:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 528864-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 528864-close@bugs.debian.org
Subject: Bug#528864: fixed in debhelper 7.2.17
Date: Fri, 26 Jun 2009 13:17:03 +0000
Source: debhelper
Source-Version: 7.2.17

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_7.2.17.dsc
  to pool/main/d/debhelper/debhelper_7.2.17.dsc
debhelper_7.2.17.tar.gz
  to pool/main/d/debhelper/debhelper_7.2.17.tar.gz
debhelper_7.2.17_all.deb
  to pool/main/d/debhelper/debhelper_7.2.17_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528864@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 26 Jun 2009 09:02:51 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 7.2.17
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 357434 528864
Changes: 
 debhelper (7.2.17) unstable; urgency=low
 .
   * Allow command-specific options to be passed to commands
     via dh without causing other commands to emit a getopt
     warning or deprecation message.
   * dh_installinfo: No longer inserts install-info calls into
     maintainer scripts, as that is now triggerized. Adds a dependency
     via misc:Depends to handle partial upgrades. Note that while
     dh_installinfo already required that info files had a INFO-DIR-SECTION,
     the new system also requires they have START-INFO-DIR-ENTRY and
     END-INFO-DIR-ENTRY for proper registration. I assume there will be
     some mass bug filing for any packages that do not have that.
     Closes: #528864, #357434
Checksums-Sha1: 
 74729d3205a7521d2c1f3e2f84d659922b643473 910 debhelper_7.2.17.dsc
 292ae4ee10d6027c086c885990504477ff3744ac 296687 debhelper_7.2.17.tar.gz
 309e8bcec8de416d25560b2390dba0f429db6fbd 544110 debhelper_7.2.17_all.deb
Checksums-Sha256: 
 f12b89f139edf5c9704dd3b912969b8a197812c966a51de8715dd67f419f8bd1 910 debhelper_7.2.17.dsc
 1fdfb440ce017e99293b6136b6443a87be5d0d7b6899a78ff8925e9e7d8f1e0d 296687 debhelper_7.2.17.tar.gz
 e38d5422158c47f3111018c9ac223d7e88ca1c722f826065fa4d6cca4c03c34d 544110 debhelper_7.2.17_all.deb
Files: 
 0b11e87193ff5cb789e77cf5fb87f1f6 910 devel optional debhelper_7.2.17.dsc
 5e5c1f5a41e9df8473bdb60443ec0bbf 296687 devel optional debhelper_7.2.17.tar.gz
 158067bb41d8693399cb012f967eb7b1 544110 devel optional debhelper_7.2.17_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKRMfw2tp5zXiKP0wRAr69AJ4zdCE3qQZG9H8GKjHZVPwoTj8e5QCbBao7
CHGUCzh4V0xouAcRGwufY1k=
=JAiC
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#528864; Package acct. (Tue, 30 Jun 2009 13:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Tue, 30 Jun 2009 13:54:08 GMT) Full text and rfc822 format available.

Message #15 received at 528864@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 534639@bugs.debian.org, 528864@bugs.debian.org
Subject: Fixing up typoed bug closure
Date: Tue, 30 Jun 2009 15:51:39 +0200
notfixed 528864 7.2.17
thanks

Hi,

There was a typo in debhelper 7.2.17, which you might want to fix and
properly close 534639. Fixing up 528864 bug state.

regards,
guillem




Bug no longer marked as fixed in version 7.2.17. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 30 Jun 2009 13:54:12 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 30 Jun 2009 14:00:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:10:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.